Summary:	Jalali implementation of Python's datetime module
Summary(pl.UTF-8):	Implementacja Dżalali modułu Pythona datetime
Name:		python3-jdatetime
Version:	5.2.0
Release:	1
License:	PSF
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jdatetime/
Source0:	https://files.pythonhosted.org/packages/source/j/jdatetime/jdatetime-%{version}.tar.gz
# Source0-md5:	7df62858c834b8bd379f67e8ce1aaac4
URL:		https://pypi.org/project/jdatetime/
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
jdatetime is Jalali implementation of Python's datetime module.

%description -l pl.UTF-8
jdatetime to implementacja Dżalali modułu Pythona datetime.

%prep
%setup -q -n jdatetime-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%{py3_sitescriptdir}/jdatetime
%{py3_sitescriptdir}/jdatetime-%{version}-py*.egg-info
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jdatetime.git;a=log;h=master

* Mon Jul 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 902f3ae
- python-jdatetime.spec updated to 5.2.0 for python 3.9+

* Mon Jul 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 6f7a887
- new

